<!DOCTYPE html>
<html>
  <head>
    <title>Hello</title>
  </head>
  <body>
    <input id="job" type="text" />
    <button id="submit">입력</button>
    <ul id="list"></ul>
  </body>
  <script>
    //
    const inputEl = document.querySelector("#job");
    const submitEl = document.querySelector("#submit");
    const listEl = document.querySelector("#list");

    //

    //
    function createItem() {
      const item = document.createElement("li");
      const text = document.createElement("span");
      const btn = document.createElement("button");

      item.style.display = "flex";
      btn.textContent = "삭제";
      text.textContent = inputEl.value;
      inputEl.value = "";

      item.append(text, btn);
      listEl.appendChild(item);

      btn.addEventListener("click", function () {
        item.parentNode.removeChild(item);
      });
    }

    //
    submitEl.addEventListener("click", createItem);
  </script>
</html>
